package com.srs.comprehensive.service.impl;

import com.srs.common.exception.ServiceException;
import com.srs.comprehensive.mapper.CphTotalScoreMapper;
import com.srs.comprehensive.service.ICphTestForService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class CphTestForServiceImpl implements ICphTestForService {


    /**
     * 调用存储过程统计所有人的 总成绩
     */

    @Autowired
    private CphTotalScoreMapper cphTotalScoreMapper;

    @Override
    public void testMethod(int id) {
        try {
            cphTotalScoreMapper.testFor(id);
        }catch (Exception e){
            throw new ServiceException("系统错误 ，请联系管理员");
        }

    }
}
